
import { _decorator, Component, AudioSource, CCInteger, profiler } from 'cc';
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = Audio
 * DateTime = Thu Nov 25 2021 14:31:19 GMT+0800 (中国标准时间)
 * Author = zzf520
 * FileBasename = audio.ts
 * FileBasenameNoExtension = audio
 * URL = db://assets/audio.ts
 * ManualUrl = https://docs.cocos.com/creator/3.3/manual/zh/
 *
 */
 
@ccclass('Audio')
export class Audio extends Component {
    @property(AudioSource)
    myAudioSource: AudioSource = null;

    @property({
        type: CCInteger,
        displayName: "播放次数"
    })
    playTimes: number = 1;

    onLoad () {
        profiler.showStats();
    }

    onButtonClicked () {
        this.schedule(()=>{
            this.myAudioSource.playOneShot(this.myAudioSource.clip, 1.0);
        }, 0.25, this.playTimes - 1, 0.25)
    }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.3/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.3/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.3/manual/zh/scripting/life-cycle-callbacks.html
 */
